	clear 
	set more off, perm
	

	do "$pgm/00_Globals.do"	

	* Wednesday
	
	import excel using "${path}/Graphwednesday_trend.xlsx", firstrow clear
						
	foreach x in wednesday min95 max95 {
		replace `x'=`x'*100
		}
	
	sort quarter

	graph twoway (line wednesday quarter if ITTref==1, lcolor(cranberry) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				 (line  max95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				(line wednesday quarter if ITTref==0,  lcolor(navy) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)) ///
				 (line max95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)), ///
				 title("") ///	     
				 xlabel(17 "2013" 18.5 "A" 19.5 "I1" 21 "2014" 23.5 "I2" 25 "2015" 29 "2016", labsize(small)) ///
				 ylabel(40[10]90, labsize(small)  grid gstyle(minor)) ysc(r(40 90)) ///
				 graphregion(color(white)) ///
				 legend(label(1 "Youngest child between 6-11") label(2 "95% CI") label(3 "") label(4 "Youngest child between 12-16") label(5 "95% CI") label(6 "") rows(2) ) ///
				 legend(size(small)) legend(order(1 4)) ///
				 xtitle(" " "Quarter" " ", size(small)) ytitle("Proportion of mothers" " ", size(small)) ///
				 ttick(18.5 19.5 23.5, tpos(in)) ylabel(,angle(horizontal)) ///
				 xline(18.5, lcolor(gs12)) xline(19.5, lcolor(gs7) ) xline(23.5, lcolor(gs7)) 
				** note(" " "Average sample size per quarter: Treated mothers = 7547, Control mothers = 3574", size(vsmall))
				 graph save ${pathgraph}Graph_Trend_wednesday_noprof1216.gph, replace
				 graph export ${pathgraph}Graph_Trend_wednesday_noprof1216.pdf, replace

	* Thursday
	
	import excel using "${path}/Graphthursday_trend.xlsx", firstrow clear
			
	foreach x in thursday min95 max95 {
		replace `x'=`x'*100
		}
	
	sort quarter

	graph twoway (line thursday quarter if ITTref==1, lcolor(cranberry) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				 (line  max95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				(line thursday quarter if ITTref==0,  lcolor(navy) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)) ///
				 (line max95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)), ///
				 title("") ///	     
				 xlabel(17 "2013" 18.5 "A" 19.5 "I1" 21 "2014" 23.5 "I2" 25 "2015" 29 "2016", labsize(small)) ///
				 ylabel(40[10]90, labsize(small)  grid gstyle(minor)) ysc(r(40 90)) ///
				 graphregion(color(white)) ///
				 legend(label(1 "Youngest child between 6-11") label(2 "95% CI") label(3 "") label(4 "Youngest child between 12-16") label(5 "95% CI") label(6 "") rows(2) ) ///
				 legend(size(small)) legend(order(1 4)) ///
				 xtitle(" " "Quarter" " ", size(small)) ytitle("Proportion of mothers" " ", size(small)) ///
				 ttick(18.5 19.5 23.5, tpos(in)) ylabel(,angle(horizontal)) ///
				 xline(18.5, lcolor(gs12)) xline(19.5, lcolor(gs7) ) xline(23.5, lcolor(gs7)) 
				 graph save ${pathgraph}Graph_Trend_thursday_noprof1216.gph, replace
				 graph export ${pathgraph}Graph_Trend_thursday_noprof1216.pdf, replace
	
	* Saturday
	
	import excel using "${path}/Graphsaturday_trend.xlsx", firstrow clear
			
	foreach x in saturday min95 max95 {
		replace `x'=`x'*100
		}
	
	sort quarter

	graph twoway (line saturday quarter if ITTref==1, lcolor(cranberry) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				 (line  max95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				(line saturday quarter if ITTref==0,  lcolor(navy) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)) ///
				 (line max95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)), ///
				 title("") ///	     
				 xlabel(17 "2013" 18.5 "A" 19.5 "I1" 21 "2014" 23.5 "I2" 25 "2015" 29 "2016", labsize(small)) ///
				 ylabel(0[10]30, labsize(small)  grid gstyle(minor)) ysc(r(0 35)) ///
				 graphregion(color(white)) ///
				 legend(label(1 "Youngest child between 6-11") label(2 "95% CI") label(3 "") label(4 "Youngest child between 12-16") label(5 "95% CI") label(6 "") rows(2) ) ///
				 legend(size(small)) legend(order(1 4)) ///
				 xtitle(" " "Quarter" " ", size(small)) ytitle("Proportion of mothers" " ", size(small)) ///
				 ttick(18.5 19.5 23.5, tpos(in)) ylabel(,angle(horizontal)) ///
				 xline(18.5, lcolor(gs12)) xline(19.5, lcolor(gs7) ) xline(23.5, lcolor(gs7)) 
				 graph save ${pathgraph}Graph_Trend_saturday_noprof1216.gph, replace
				 graph export ${pathgraph}Graph_Trend_saturday_noprof1216.pdf, replace

	* Days worked
	import excel using "${path}/Graphjourtr_trend.xlsx", firstrow clear

	sort quarter

	graph twoway (line jourtr quarter if ITTref==1, lcolor(cranberry) lwidth(medthick) lpattern(solid)) ///
             (line min95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
             (line  max95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
			(line jourtr quarter if ITTref==0,  lcolor(navy) lwidth(medthick) lpattern(solid)) ///
             (line min95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)) ///
             (line max95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)), ///
			 title("") ///	     
			 xlabel(1 "2009" 5 "2010" 9 "2011" 13 "2012" 17 "2013" 18.5 "A" 19.5 "I1" 21 "2014" 23.5 "I2" 25 "2015"  29 "2016", labsize(small)) ///
			 ylabel(4.4[0.2]5, labsize(small)  grid gstyle(minor)) ysc(r(4.4 5)) ///
			 graphregion(color(white)) ///
			 legend(label(1 "Youngest child between 6-11") label(2 "95% CI") label(3 "") label(4 "Youngest child between 12-16") label(5 "95% CI") label(6 "") rows(2) ) ///
			 legend(size(small)) legend(order(1 4)) ///
			 xtitle(" " "Quarter" " ", size(small)) ytitle("Average number of days worked per week" " ", size(small)) ///
			 ttick(18.5 19.5 23.5, tpos(in)) ylabel(,angle(horizontal)) ///
			 xline(18.5, lcolor(gs12)) xline(19.5, lcolor(gs7) ) xline(23.5, lcolor(gs7)) 
			 graph save ${pathgraph}Graph_Trend_jourtr_noprof1216.gph, replace
   		     graph export ${pathgraph}Graph_Trend_jourtr_noprof1216.pdf, replace

			 
	*** Hours worked ***
			 
	import excel using "${path}/Graphtot_hours_trend.xlsx", firstrow clear

	sort quarter


	graph twoway (line tot_hours quarter if ITTref==1, lcolor(cranberry) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				 (line  max95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				(line tot_hours quarter if ITTref==0,  lcolor(navy) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)) ///
				 (line max95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)), ///
				 title("") ///	     
				 xlabel(1 "2009" 5 "2010" 9 "2011" 13 "2012" 17 "2013" 18.5 "A" 19.5 "I1" 21 "2014" 23.5 "I2" 25 "2015"  29 "2016", labsize(small)) ///
				 ylabel(32[2]38, labsize(small)  grid gstyle(minor)) ysc(r(32 38)) ///
				 graphregion(color(white)) legend(order(1 4)) ///
				 legend(label(1 "Youngest child between 6-11") label(2 "95% CI") label(3 "") label(4 "Youngest child between 12-16") label(5 "95% CI") label(6 "") rows(2) ) ///
				 legend(size(small)) ///
				 xtitle(" " "Quarter" " ", size(small)) ytitle("Average number of hours worked per week" " ", size(small)) ///
				 ttick(18.5 19.5 23.5, tpos(in)) ylabel(,angle(horizontal)) ///
				 xline(18.5, lcolor(gs12)) xline(19.5, lcolor(gs7) ) xline(23.5, lcolor(gs7)) 
				 graph save ${pathgraph}Graph_Trend_tot_hours_noprof1216.gph, replace
				 graph export ${pathgraph}Graph_Trend_tot_hours_noprof1216.pdf, replace
			 
	*** Hourly Wages ***
			 
	import excel using "${path}/Graphlreal_hourly_wage_trend.xlsx", firstrow clear

	sort quarter
	graph twoway (line lreal_hourly_wage quarter if ITTref==1, lcolor(cranberry) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				 (line  max95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				(line lreal_hourly_wage quarter if ITTref==0,  lcolor(navy) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)) ///
				 (line max95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)), ///
				 title("") ///	     
				 xlabel(1 "2009" 5 "2010" 9 "2011" 13 "2012" 17 "2013" 18.5 "A" 19.5 "I1" 21 "2014" 23.5 "I2" 25 "2015"  29 "2016", labsize(small)) ///
				 ylabel(, labsize(small)  grid gstyle(minor)) ///
				 graphregion(color(white)) legend(order(1 4)) ///
				 legend(label(1 "Youngest child between 6-11") label(2 "95% CI") label(3 "") label(4 "Youngest child between 12-16") label(5 "95% CI") label(6 "") rows(2) ) ///
				 legend(size(small)) ///
				 xtitle(" " "Quarter" " ", size(small)) ytitle("Log net hourly wage (in €)" " ", size(small)) ///
				 ttick(18.5 19.5 23.5, tpos(in)) ylabel(,angle(horizontal)) ///
				 xline(18.5, lcolor(gs12)) xline(19.5, lcolor(gs7) ) xline(23.5, lcolor(gs7)) 
				 graph save ${pathgraph}Graph_Trend_Loghourly_wage_noprof1216.gph, replace
				 graph export ${pathgraph}Graph_Trend_Loghourly_wage_noprof1216.pdf, replace
					 
	*** Monthly Wages ***
			 
	import excel using "${path}/Graphlreal_monthly_salary_trend.xlsx", firstrow clear

	sort quarter
	graph twoway (line lreal_monthly_salary quarter if ITTref==1, lcolor(cranberry) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				 (line  max95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				(line lreal_monthly_salary quarter if ITTref==0,  lcolor(navy) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)) ///
				 (line max95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)), ///
				 title("") ///	     
				 xlabel(1 "2009" 5 "2010" 9 "2011" 13 "2012" 17 "2013" 18.5 "A" 19.5 "I1" 21 "2014" 23.5 "I2" 25 "2015"  29 "2016", labsize(small)) ///
				 ylabel(, labsize(small)  grid gstyle(minor)) ///
				 graphregion(color(white)) legend(order(1 4)) ///
				 legend(label(1 "Youngest child between 6-11") label(2 "95% CI") label(3 "") label(4 "Youngest child between 12-16") label(5 "95% CI") label(6 "") rows(2) ) ///
				 legend(size(small)) ///
				 xtitle(" " "Quarter" " ", size(small)) ytitle("Log net monthly wage (in €)" " ", size(small)) ///
				 ttick(18.5 19.5 23.5, tpos(in)) ylabel(,angle(horizontal)) ///
				 xline(18.5, lcolor(gs12)) xline(19.5, lcolor(gs7) ) xline(23.5, lcolor(gs7)) 
				 graph save ${pathgraph}Graph_Trend_Logmonthly_wage_noprof1216.gph, replace
				 graph export ${pathgraph}Graph_Trend_Logmonthly_wage_noprof1216.pdf, replace
			 
	*** Part-time ***
				 
	import excel using "${path}/Graphparttime_trend.xlsx", firstrow clear

	foreach x in parttime min95 max95 {

	replace `x'=`x'*100

	}

	sort quarter 
	
	graph twoway (line parttime quarter if ITTref==1, lcolor(cranberry) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				 (line  max95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
				(line parttime quarter if ITTref==0,  lcolor(navy) lwidth(medthick) lpattern(solid)) ///
				 (line min95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)) ///
				 (line max95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)), ///
				 title("") ///	     
				 xlabel(1 "2009" 5 "2010" 9 "2011" 13 "2012" 17 "2013" 18.5 "A" 19.5 "I1" 21 "2014" 23.5 "I2" 25 "2015"  29 "2016", labsize(small)) ///
				 ylabel(25[5]45, labsize(small)  grid gstyle(minor)) ysc(r(25 45)) ///
				 graphregion(color(white)) legend(order(1 4)) ///
				 legend(label(1 "Youngest child between 6-11") label(2 "95% CI") label(3 "") label(4 "Youngest child between 12-16") label(5 "95% CI") label(6 "") rows(2) ) ///
				 legend(size(small)) ///
				 xtitle(" " "Quarter" " ", size(small)) ytitle("Proportion of mothers working part-time" " ", size(small)) ///
				 ttick(18.5 19.5 23.5, tpos(in)) ylabel(,angle(horizontal)) ///
				 xline(18.5, lcolor(gs12)) xline(19.5, lcolor(gs7) ) xline(23.5, lcolor(gs7)) 
				 graph save ${pathgraph}Graph_Trend_parttime_noprof1216.gph, replace
				 graph export ${pathgraph}Graph_Trend_parttime_noprof1216.pdf, replace
			
			
			
*** Active ***
			 
import excel using ${path}/Graphactive_trend.xlsx, firstrow clear

foreach x in active min95 max95 {

replace `x'=`x'*100

}


graph twoway (line active quarter if ITTref==1, lcolor(cranberry) lwidth(medthick) lpattern(solid)) ///
             (line min95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
             (line  max95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
			(line active quarter if ITTref==0,  lcolor(navy) lwidth(medthick) lpattern(solid)) ///
             (line min95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)) ///
             (line max95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)), ///
			 title("") ///	     
			 xlabel(1 "2009" 5 "2010" 9 "2011" 13 "2012" 17 "2013" 18.5 "A" 19.5 "I1" 21 "2014" 23.5 "I2" 25 "2015"  29 "2016", labsize(small)) ///
			 ylabel(82[2]90, labsize(small)  grid gstyle(minor)) ysc(r(82 90)) ///
			 graphregion(color(white)) legend(order(1 4)) ///
			 legend(label(1 "Youngest child between 6-11") label(2 "95% CI") label(3 "") label(4 "Youngest child between 12-16") label(5 "95% CI") label(6 "") rows(2) ) ///
			 legend(size(small)) ///
			 xtitle(" " "Quarter" " ", size(small)) ytitle("Proportion of active mothers" " ", size(small)) ///
			 ttick(18.5 19.5 23.5, tpos(in)) ylabel(,angle(horizontal)) ///
			 xline(18.5, lcolor(gs12)) xline(19.5, lcolor(gs7) ) xline(23.5, lcolor(gs7)) 
			 graph save ${pathgraph}Graph_Trend_LFP0916_byChildrenAge_6_16_quarter_all_CI1216.gph, replace
   		     graph export ${pathgraph}Graph_Trend_LFP0916_byChildrenAge_6_16_quarter_all_CI.pdf, replace


* thursday			 
import excel using ${path}/Graphthursday_trend.xlsx, firstrow clear
		

foreach x in thursday min95 max95 {
replace `x'=`x'*100
}


graph twoway (line thursday quarter if ITTref==1, lcolor(cranberry) lwidth(medthick) lpattern(solid)) ///
             (line min95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
             (line  max95 quarter if ITTref==1, lcolor(cranberry) lwidth(vthin) lpattern(dash)) ///
			(line thursday quarter if ITTref==0,  lcolor(navy) lwidth(medthick) lpattern(solid)) ///
             (line min95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)) ///
             (line max95 quarter if ITTref==0,  lcolor(navy) lwidth(vthin) lpattern(dash)), ///
			 title("") ///	     
			 xlabel(17 "2013" 18.5 "A" 19.5 "I1" 21 "2014" 23.5 "I2" 25 "2015" 29 "2016", labsize(small)) ///
			 ylabel(40[10]90, labsize(small)  grid gstyle(minor)) ysc(r(40 90)) ///
			 graphregion(color(white)) ///
			 legend(label(1 "Youngest child between 6-11") label(2 "95% CI") label(3 "") label(4 "Youngest child between 12-16") label(5 "95% CI") label(6 "") rows(2) ) ///
			 legend(size(small)) legend(order(1 4)) ///
			 xtitle(" " "Quarter" " ", size(small)) ytitle("Proportion of mothers" " ", size(small)) ///
			 ttick(18.5 19.5 23.5, tpos(in)) ylabel(,angle(horizontal)) ///
			 xline(18.5, lcolor(gs12)) xline(19.5, lcolor(gs7) ) xline(23.5, lcolor(gs7)) 
			 graph save ${pathgraph}Graph_Trend_Thu0916_byChildrenAge_6_16_quarter_all_CI.gph, replace
   		     graph export ${pathgraph}Graph_Trend_Thu0916_byChildrenAge_6_16_quarter_all_CI.pdf, replace
