	clear 
	set more off, perm
	

	
	
	do "$pgm/00_Globals.do"	
	
	import excel using "$path/graph_days_of_the_week.xlsx", firstrow clear
	destring estimate sterr days, replace
	replace estimate=estimate*100
	replace sterr=sterr*100
	gen min95=mean+(estimate-sterr*1.96)
	gen max95=mean+(estimate+sterr*1.96)
	gen treat=estimate+mean
	
	
		tw (bar mean days, color("0 84 105") ) ///
		(scatter treat days, mlabcolor(black)) ///
		(rcap min95 max95 days, color(black)), ///
		xsc(r(0 11)) xlab(1 "Monday" 2.5 "Tuesday" 4 "Wednesday" 5.5 "Thursday" 7 "Friday"  8.5 "Saturday" 10 "Sunday", labsize(small)) ///
		graphregion(color(white)) xtitle("") ytitle("Percentage of treated mothers working on" " ") ylabel(0[10]80, format(%9.0f) angle(horizontal) labs(small)) ///
		legend(order(1 2) label(1 "Pre-treatment mean") label(2 "Impact of the reform") row(1) size(small)) 
		graph save "${pathgraph}impact_reform_days_of_the_week.gph", replace
		graph export "${pathgraph}impact_reform_days_of_the_week.pdf", replace
		graph save "${path}TEX/Presentations/Graph/impact_reform_days_of_the_week.gph", replace
		graph export "${path}TEX/Presentations/Graph/impact_reform_days_of_the_week.pdf", replace
		erase "${path}TEX/Presentations/Graph/impact_reform_days_of_the_week.gph"
		erase "${pathgraph}impact_reform_days_of_the_week.gph"
	
