	clear 
	set more off, perm
	

	
	global outcomesofinterest parttime tot_hours lreal_monthly_salary  lreal_hourly_wage jourtr monday tuesday wednesday thursday friday saturday sunday

	foreach age in "1216" { 
	foreach g in  $outcomesofinterest { 

	import excel using "${path}/Reg`g'_dyn_no_profs_bothgenders_year`age'2013.xlsx", sheet("Sheet1") firstrow clear

	gen pa=substr(parm,1,6)
	keep if pa=="effect"

	gen gender=substr(parm,-5,5)
	replace gender="man" if gender!="woman"
	gen y=substr(parm,1,9)
	gen year_wave=substr(y,-2,2)
	
	forval j=1/12{
		replace year_wave="`j'" if year_wave=="`j'_"
		}
	
	destring year_wave, replace

	local new = _N + 1
	set obs `new'
	foreach v in `g' min95 max95 {
		replace `v'=0 if `v'==.
		}
	replace year_wave=1 if year_wave==.
	replace gender="woman" if gender==""

	local new = _N + 1
	set obs `new'
	foreach v in `g' min95 max95 {
		replace `v'=0 if `v'==.
		}
	replace year_wave=1 if year_wave==.
	replace gender="man" if gender==""
		
	sort year_wave
	gen year_wave2=year_wave
	gen year_wave3=year_wave
	replace year_wave2=year_wave+0.2 if gender=="man"
	replace year_wave2=year_wave-0.2 if gender=="woman"

	replace year_wave3=year_wave+0.1 if gender=="man"
	replace year_wave3=year_wave-0.1 if gender=="woman"

	
	local lab_jourtr="Days worked per week"
	local lab_parttime="Part-time work"
	local lab_tot_hours="Hours worked"
	local lab_lreal_monthly_salary="Log(real monthly wage)"
	local lab_lreal_hourly_wage="Log(real hourly wage)"
	
	local lab_monday "Work on Monday"
	local lab_tuesday "Work on Tuesday"
	local lab_wednesday "Work on Wednesday"
	local lab_thursday "Work on Thursday"
	local lab_friday "Work on Friday"
	local lab_saturday "Work on Saturday"
	local lab_sunday "Work on Sunday"
	
	if "`g'"=="parttime" {
	tw (rcapsym min95  max95 year_wave2 if gender=="woman", sym(i) color(red)) (scatter parttime year_wave2 if gender=="woman", color(red) sym(square_hollow)) ///
	(rcapsym min95  max95 year_wave2 if gender=="man", sym(i) color(navy)) (scatter parttime year_wave2 if gender=="man", color(navy) sym(d)), ///
	ylab(, angle(horizontal)) text(-0.027 17 "omitted >", orient(vertical) size(small)) legend(order(2 4) ///
	label(2 "Women") label(4 "Men")) graphregion(color(white)) ysc(r(-0.15 0.09)) ylab(-0.1[0.05]0.1, format(%03.2f)  grid gstyle(minor)  angle(horizontal)) ///
	 xtitle(" " "Year relative to the reform") xline(19.25, lcolor(black) lwidth(thin) lpattern(dash)) ///
	 xlab(1 "-4" 5 "-3" 9 "-2"  13 "-1" 17 "0" 21  "1"  25 "2" 29 "3") ///
	yline(0, lcolor(black) lwidth(thin) lpattern(dash)) title("") ytitle("Estimate")
	graph save "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.gph", replace
	graph export "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.pdf", replace
	erase "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.gph"
	}
	
	if "`g'"=="tot_hours" {
	tw (rcapsym min95  max95 year_wave2 if gender=="woman", sym(i) color(red)) (scatter `g' year_wave2 if gender=="woman", color(red) sym(square_hollow)) ///
		(rcapsym min95  max95 year_wave2 if gender=="man", sym(i) color(navy)) (scatter `g' year_wave2 if gender=="man", color(navy) sym(d)), ///
		 ylab(, angle(horizontal)) text(-0.45 17 "omitted >", orient(vertical) size(small)) legend(order(2 4) ///
		label(2 "Women") label(4 "Men")) graphregion(color(white)) ysc(r(-2 2)) ylab(-2[0.5]2,  angle(horizontal)  grid gstyle(minor)) ///
		yline(0, lcolor(black) lwidth(thin))  ///
	 xlab(1 "-4" 5 "-3" 9 "-2"  13 "-1" 17 "0" 21  "1"  25 "2" 29 "3") ///
		xtitle(" " "Year relative to the reform") xline(19.25, lcolor(black) lwidth(thin) lpattern(dash)) ///
	 title("") ytitle("Estimate")
	graph save "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.gph", replace
	graph export "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.pdf", replace
	erase "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.gph"
	}
	
	if "`g'"=="lreal_monthly_salary" {
	tw (rcapsym min95  max95 year_wave2 if gender=="woman", sym(i) color(red)) (scatter `g' year_wave2 if gender=="woman", color(red) sym(square_hollow)) ///
		(rcapsym min95  max95 year_wave2 if gender=="man", sym(i) color(navy)) (scatter `g' year_wave2 if gender=="man", color(navy) sym(d)), ///
		ylab(, angle(horizontal)) text(-0.035 17 "omitted >", orient(vertical) size(small))  legend(order(2 4) ///
		label(2 "Women") label(4 "Men")) graphregion(color(white)) ysc(r(-0.15 0.15)) ylab(-0.15[0.05]0.15, format(%03.2f)   grid gstyle(minor) angle(horizontal)) ///
	 xlab(1 "-4" 5 "-3" 9 "-2"  13 "-1" 17 "0" 21  "1"  25 "2" 29 "3") ///
		xtitle(" " "Year relative to the reform") xline(19.25, lcolor(black) lwidth(thin) lpattern(dash)) ///
	yline(0, lcolor(black) lwidth(thin) lpattern(dash)) title("") ytitle("Estimate")
	graph save "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.gph", replace
	graph export "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.pdf", replace
	erase "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.gph"
	}
	
	
	if "`g'"=="lreal_hourly_wage" {
	tw (rcapsym min95  max95 year_wave2 if gender=="woman", sym(i) color(red)) (scatter `g' year_wave2 if gender=="woman", color(red) sym(square_hollow)) ///
		(rcapsym min95  max95 year_wave2 if gender=="man", sym(i) color(navy)) (scatter `g' year_wave2 if gender=="man", color(navy) sym(d)), ///
		 ylab(, angle(horizontal))  text(-0.035 17 "omitted >", orient(vertical) size(small)) legend(order(2 4) ///
		label(2 "Women") label(4 "Men")) graphregion(color(white)) ysc(r(-0.15 0.15)) ylab(-0.15[0.05]0.15, format(%03.2f)  grid gstyle(minor)  angle(horizontal)) ///
	 xlab(1 "-4" 5 "-3" 9 "-2"  13 "-1" 17 "0" 21  "1"  25 "2" 29 "3") ///
		xtitle(" " "Year relative to the reform") xline(19.25, lcolor(black) lwidth(thin) lpattern(dash)) ///
	yline(0, lcolor(black) lwidth(thin) lpattern(dash)) title("") ytitle("Estimate")
	graph save "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.gph", replace
	graph export "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.pdf", replace
	erase "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.gph"
	}
	
	if "`g'"=="jourtr" {
	tw (rcapsym min95  max95 year_wave2 if gender=="woman", sym(i) color(red)) (scatter `g' year_wave2 if gender=="woman", color(red) sym(square_hollow)) ///
		(rcapsym min95  max95 year_wave2 if gender=="man", sym(i) color(navy)) (scatter `g' year_wave2 if gender=="man", color(navy) sym(d)), ///
		 ylab(, angle(horizontal)) text(-0.04 17 "omitted >", orient(vertical) size(small)) legend(order(2 4) ///
		label(2 "Women") label(4 "Men")) graphregion(color(white)) ysc(r(-0.2 0.2)) ylab(-0.2[0.05]0.2, format(%03.2f)   grid gstyle(minor) angle(horizontal)) ///
	 xlab(1 "-4" 5 "-3" 9 "-2"  13 "-1" 17 "0" 21  "1"  25 "2" 29 "3") ///
		xtitle(" " "Year relative to the reform") xline(19.25, lcolor(black) lwidth(thin) lpattern(dash)) ///
	yline(0, lcolor(black) lwidth(thin) lpattern(dash)) title("") ytitle("Estimate")
	graph save "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.gph", replace
	graph export "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.pdf", replace
	erase "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.gph"
	}	
	

		if "`g'"=="monday" | "`g'"=="tuesday" | "`g'"=="wednesday" | "`g'"=="thursday" |"`g'"=="friday" | "`g'"=="saturday" | "`g'"=="sunday"    {
	tw (rcapsym min95  max95 year_wave3 if gender=="woman", sym(i) color(red)) (scatter `g' year_wave3 if gender=="woman", color(red) sym(square_hollow)) ///
		(rcapsym min95  max95 year_wave3 if gender=="man", sym(i) color(navy)) (scatter `g' year_wave3 if gender=="man", color(navy) sym(d)), ///
		 ylab(, angle(horizontal)) text(-0.03 1 "omitted >", orient(vertical) size(small)) legend(order(2 4) ///
		label(2 "Women") label(4 "Men")) graphregion(color(white)) ysc(r(-0.1 0.15)) ylab(-0.1[0.05]0.15, format(%03.2f)  grid gstyle(minor)  angle(horizontal)) ///
	 xlab(2 "-2" 4 "0" 6 "2" 8 "4" 10 "6" 12 "8") ///
		xtitle(" " "Quarter relative to the reform") xline(3.5, lcolor(black) lwidth(thin) lpattern(dash)) ///
	yline(0, lcolor(black) lwidth(thin) lpattern(dash)) title("") ytitle("Estimate")
	graph save "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.gph", replace
	graph export "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.pdf", replace
	erase "${pathgraph}event_study_`g'_quarter_`age'_bygender_revised.gph"
	}	
	
	
	}
	}
