	clear 
	set more off, perm

	
	global outcomesofinterest parttime tot_hours lreal_monthly_salary  lreal_hourly_wage jourtr  active2

	foreach age in "1216"  { 
	
	foreach g in  $outcomesofinterest { 

	import excel "$path/Reg`g'_dyn_no_profs_bothgenders_year`age'_fixed_effects_inter_event.xlsx", sheet("Sheet1") firstrow clear


	gen pa=substr(parm,1,6)
	keep if pa=="effect"
	
	gen gender=substr(parm,-5,5)
	replace gender="man" if gender!="woman"
	gen y=substr(parm,1,8)
	gen year=substr(y,-1,1)
	destring year, replace
	
	local new=_N+1
	set obs `new'
	foreach  v in `g' min95 max95 {
	replace `v' =0 if `v'==.
	}
	replace year=1 if year==.
	replace gender="man" if gender==""
	
	local new=_N+1
	set obs `new'
	foreach  v in `g' min95 max95 {
	replace `v' =0 if `v'==.
	}
	replace year=1 if year==.
	replace gender="woman" if gender==""
	
	sort year
	gen year2=year
	replace year2=year2+0.05 if gender=="man"
	replace year2=year2-0.05 if gender=="woman"
	
	
	if "`g'"=="active2" {
	tw (rcapsym min95  max95 year2 if gender=="woman", sym(i) color(red)) (scatter `g' year2 if gender=="woman", color(red) sym(square_hollow)) ///
		(rcapsym min95  max95 year2 if gender=="man", sym(i) color(navy)) (scatter `g' year2 if gender=="man", color(navy) sym(d)), ///
		 ylab(, angle(horizontal)  grid gstyle(minor)) text(-0.04 1 "omitted >", orient(vertical) size(small)) legend(order(2 4) ///
		label(2 "Women") label(4 "Men")) graphregion(color(white)) ysc(r(-0.1 0.1)) ylab(-0.08[0.05]0.08, format(%03.2f)  labsize(small) angle(horizontal)) ///
		xlab(1 "-4" 2 "-3" 3 "-2"  4 "-1" 5 "0"    6 "1"  7 "2") xtitle(" " "Year to the reform") xline(4.75, lcolor(black) lwidth(thin) lpattern(dash)) ///
	yline(0, lcolor(black) lwidth(thin) lpattern(dash)) title("") ytitle("Estimate")
	graph save "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.gph", replace
	graph export "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.pdf", replace
	erase "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.gph"
	}

	if "`g'"=="parttime" {
	tw (rcapsym min95  max95 year2 if gender=="woman", sym(i) color(red)) (scatter `g' year2 if gender=="woman", color(red) sym(square_hollow)) ///
		(rcapsym min95  max95 year2 if gender=="man", sym(i) color(navy)) (scatter `g' year2 if gender=="man", color(navy) sym(d)), ///
		 ylab(, angle(horizontal)) text(-0.027 1 "omitted >", orient(vertical) size(small)) legend(order(2 4) ///
		label(2 "Women") label(4 "Men")) graphregion(color(white)) ysc(r(-0.08 0.09)) ylab(-0.08[0.05]0.08, format(%03.2f)  grid gstyle(minor) labsize(small) angle(horizontal)) ///
		xlab(1 "-4" 2 "-3" 3 "-2"  4 "-1" 5 "0"    6 "1"  7 "2") xtitle(" " "Year to the reform") xline(4.75, lcolor(black) lwidth(thin) lpattern(dash)) ///
	yline(0, lcolor(black) lwidth(thin) lpattern(dash)) title("") ytitle("Estimate")
	graph save "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.gph", replace
	graph export "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.pdf", replace
	erase "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.gph"
	}
	
	if "`g'"=="tot_hours" {
	tw (rcapsym min95  max95 year2 if gender=="woman", sym(i) color(red)) (scatter `g' year2 if gender=="woman", color(red) sym(square_hollow)) ///
		(rcapsym min95  max95 year2 if gender=="man", sym(i) color(navy)) (scatter `g' year2 if gender=="man", color(navy) sym(d)), ///
		 ylab(, angle(horizontal)  grid gstyle(minor)) text(-0.45 1 "omitted >", orient(vertical) size(small)) legend(order(2 4) ///
		label(2 "Women") label(4 "Men")) graphregion(color(white)) ysc(r(-2 2)) ylab(-2[1]2,  angle(horizontal)) ///
		yline(0, lcolor(black) lwidth(thin))  ///
		xlab(1 "-4" 2 "-3" 3 "-2"  4 "-1" 5 "0"    6 "1"  7 "2" ) xtitle(" " "Year to the reform") xline(4.75, lcolor(black) lwidth(thin) lpattern(dash)) ///
	 title("") ytitle("Estimate")
	graph save "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.gph", replace
	graph export "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.pdf", replace
	erase "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.gph"
	}
	*		xlab(1 "2009" 2 "2010" 3 "2011"  4 "2012" 5 "2013"    6 "2014"  7 "2015" 8 "2016", labsize(small)) 

	if "`g'"=="lreal_monthly_salary" {
	tw (rcapsym min95  max95 year2 if gender=="woman", sym(i) color(red)) (scatter `g' year2 if gender=="woman", color(red) sym(square_hollow)) ///
		(rcapsym min95  max95 year2 if gender=="man", sym(i) color(navy)) (scatter `g' year2 if gender=="man", color(navy) sym(d)), ///
		ylab(, angle(horizontal)  grid gstyle(minor)) text(-0.035 1 "omitted >", orient(vertical) size(small))  legend(order(2 4) ///
		label(2 "Women") label(4 "Men")) graphregion(color(white)) ysc(r(-0.10 0.10)) ylab(-0.10[0.05]0.10, format(%03.2f)  labsize(small) angle(horizontal)) ///
		xlab(1 "-4" 2 "-3" 3 "-2"  4 "-1" 5 "0"    6 "1"  7 "2" ) xtitle(" " "Year to the reform") xline(4.75, lcolor(black) lwidth(thin) lpattern(dash)) ///
	yline(0, lcolor(black) lwidth(thin) lpattern(dash)) title("") ytitle("Estimate")
	graph save "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.gph", replace
	graph export "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.pdf", replace
	erase "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.gph"
	}
	
	if "`g'"=="lreal_hourly_wage" {
	tw (rcapsym min95  max95 year2 if gender=="woman", sym(i) color(red)) (scatter `g' year2 if gender=="woman", color(red) sym(square_hollow)) ///
		(rcapsym min95  max95 year2 if gender=="man", sym(i) color(navy)) (scatter `g' year2 if gender=="man", color(navy) sym(d)), ///
		 ylab(, angle(horizontal)  grid gstyle(minor))  text(-0.035 1 "omitted >", orient(vertical) size(small)) legend(order(2 4) ///
		label(2 "Women") label(4 "Men")) graphregion(color(white)) ysc(r(-0.10 0.10)) ylab(-0.10[0.05]0.10, format(%03.2f)  labsize(small) angle(horizontal)) ///
		xlab(1 "-4" 2 "-3" 3 "-2"  4 "-1" 5 "0"    6 "1"  7 "2" ) xtitle(" " "Year to the reform") xline(4.75, lcolor(black) lwidth(thin) lpattern(dash)) ///
	yline(0, lcolor(black) lwidth(thin) lpattern(dash)) title("") ytitle("Estimate")
	graph save "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.gph", replace
	graph export "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.pdf", replace
	erase "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.gph"
	}	
	
	if "`g'"=="jourtr" {
	tw (rcapsym min95  max95 year2 if gender=="woman", sym(i) color(red)) (scatter `g' year2 if gender=="woman", color(red) sym(square_hollow)) ///
		(rcapsym min95  max95 year2 if gender=="man", sym(i) color(navy)) (scatter `g' year2 if gender=="man", color(navy) sym(d)), ///
		 ylab(, angle(horizontal)  grid gstyle(minor)) text(-0.04 1 "omitted >", orient(vertical) size(small)) legend(order(2 4) ///
		label(2 "Women") label(4 "Men")) graphregion(color(white)) ysc(r(-0.15 0.15)) ylab(-0.2[0.1]0.2, format(%03.2f)  labsize(small) angle(horizontal)) ///
		xlab(1 "-4" 2 "-3" 3 "-2"  4 "-1" 5 "0"    6 "1"  7 "2" ) xtitle(" " "Year to the reform") xline(4.75, lcolor(black) lwidth(thin) lpattern(dash)) ///
	yline(0, lcolor(black) lwidth(thin) lpattern(dash)) title("") ytitle("Estimate")
	graph save "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.gph", replace
	graph export "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.pdf", replace
	erase "${pathgraph}event_study_`g'_year_`age'_bygender_normalized.gph"
	}	
	
	 
	
	}
	}
	
	

