	set more off, perm
	
	do "pgm\000_Globals.do"
	use ${pathprogLFS}\womenECtriplediff0917.dta, clear
	keep if year<2017
		
	global year_wave year_wave1 year_wave2 year_wave3 year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32 //year_wave33 year_wave34 year_wave35 year_wave36 
		
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.

	g real_hourly_wage_hhc=real_monthly_salary/(hhc*4)
	g lreal_hourly_wage_hhc=log(real_hourly_wage_hhc)


	
	
	global outcomesofinterest  tot_hours parttime jourtr  ///
	monday	tuesday wednesday thursday friday saturday sunday  lreal_monthly_salary lreal_hourly_wage
	

	drop ITTref5
	drop treatment5
	
	gen ITTref5=.
	replace ITTref5=1 if ITTref==1 & c_agemin>=6
	replace ITTref5=0 if c_agemin>=12 & c_agemin<=16
	
	gen treatment5=ITTref5*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
			
	eststo clear
	eststo: areg active treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave if year>=2010, ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su active if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 	 & year>=2010
		estadd scalar mean_active= r(mean)
		
		foreach v in $outcomesofinterest {
		
		eststo: areg `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0 & year>=2010, ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & jourtr!=. & parttime!=.  & professeur==0	 & year>=2010	 
		estadd scalar mean_`v'= r(mean)
	 
		}
		
		esttab using ${path}\regs_1216_2010-2016_w.tex, ar2 se ///
		scalars(F mean_active mean_tot_hours mean_parttime mean_jourtr  ///
		mean_monday	mean_tuesday mean_wednesday mean_thursday mean_friday mean_saturday mean_sunday  mean_lreal_monthly_salary mean_lreal_hourly_wage) ///
		keep(treatment5 ITTref5) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "Labor supply response to the reform - Women 2010-2016"}) ///
		mtitles("LFP" "Hours worked per week" "Part-time work" "Days worked per week" "M" "Tu" "W" "Th" "F" "Sa" "Su" "(Log) real monthly wage" "(Log) real hourly wage")

		eststo clear
		eststo: areg active treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave if year>=2011, ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su active if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & year!=2013	 & year>=2011
		estadd scalar mean_active= r(mean)
		
		foreach v in $outcomesofinterest {
		
		eststo: areg `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0 & year>=2011, ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & jourtr!=. & parttime!=.  & professeur==0 &	year>=2011 	 
		estadd scalar mean_`v'= r(mean)
	 
		}
		
		
		esttab using ${path}\regs_1216_2011-2016_w.tex, ar2 se ///
		scalars(F mean_active mean_tot_hours mean_parttime mean_jourtr  ///
		mean_monday	mean_tuesday mean_wednesday mean_thursday mean_friday mean_saturday mean_sunday  mean_lreal_monthly_salary mean_lreal_hourly_wage) ///
		keep(treatment5 ITTref5) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "Labor supply response to the reform - Women 2011-2016"}) ///
		mtitles("LFP" "Hours worked per week" "Part-time work" "Days worked per week" "M" "Tu" "W" "Th" "F" "Sa" "Su" "(Log) real monthly wage" "(Log) real hourly wage")


		
		** Men
		use ${pathprogLFS}\menECtriplediff0917.dta, clear
	keep if year<2017
		
	global year_wave year_wave1 year_wave2 year_wave3 year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32 //year_wave33 year_wave34 year_wave35 year_wave36 
		
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.

	g real_hourly_wage_hhc=real_monthly_salary/(hhc*4)
	g lreal_hourly_wage_hhc=log(real_hourly_wage_hhc)


	
	
	global outcomesofinterest  tot_hours parttime jourtr  ///
	monday	tuesday wednesday thursday friday saturday sunday  lreal_monthly_salary lreal_hourly_wage
	

	drop ITTref5
	drop treatment5
	
	gen ITTref5=.
	replace ITTref5=1 if ITTref==1 & c_agemin>=6
	replace ITTref5=0 if c_agemin>=12 & c_agemin<=16
	
	gen treatment5=ITTref5*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
			
		eststo clear
	eststo: areg active treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave if year>=2010, ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su active if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 	 & year>=2010
		estadd scalar mean_active= r(mean)
		
		foreach v in $outcomesofinterest {
		
		eststo: areg `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0 & year>=2010, ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & jourtr!=. & parttime!=.  & professeur==0	 & year>=2010	 
		estadd scalar mean_`v'= r(mean)
	 
		}
		
		esttab using ${path}\regs_1216_2010-2016_m.tex, ar2 se ///
		scalars(F mean_active mean_tot_hours mean_parttime mean_jourtr  ///
		mean_monday	mean_tuesday mean_wednesday mean_thursday mean_friday mean_saturday mean_sunday  mean_lreal_monthly_salary mean_lreal_hourly_wage) ///
		keep(treatment5 ITTref5) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "Labor supply response to the reform - Men 2010-2016"}) ///
		mtitles("LFP" "Hours worked per week" "Part-time work" "Days worked per week" "M" "Tu" "W" "Th" "F" "Sa" "Su" "(Log) real monthly wage" "(Log) real hourly wage")

		eststo clear
		eststo: areg active treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave if year>=2011, ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su active if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & year!=2013	 & year>=2011
		estadd scalar mean_active= r(mean)
		
		foreach v in $outcomesofinterest {
		
		eststo: areg `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0 & year>=2011, ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & jourtr!=. & parttime!=.  & professeur==0 &	year>=2011 	 
		estadd scalar mean_`v'= r(mean)
	 
		}
		
		
		esttab using ${path}\regs_1216_2011-2016_m.tex, ar2 se ///
		scalars(F mean_active mean_tot_hours mean_parttime mean_jourtr  ///
		mean_monday	mean_tuesday mean_wednesday mean_thursday mean_friday mean_saturday mean_sunday  mean_lreal_monthly_salary mean_lreal_hourly_wage) ///
		keep(treatment5 ITTref5) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "Labor supply response to the reform - Men 2011-2016"}) ///
		mtitles("LFP" "Hours worked per week" "Part-time work" "Days worked per week" "M" "Tu" "W" "Th" "F" "Sa" "Su" "(Log) real monthly wage" "(Log) real hourly wage")

