	set more off, perm
	
	do "pgm\000_Globals.do"
	use ${pathprogLFS}\womenECtriplediff0917.dta, clear

	keep if year<2017

	global year_wave year_wave1 year_wave2 year_wave3 	year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32

	
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.
	drop ITTref5
	drop treatment5
	
	gen ITTref5=.
	replace ITTref5=1 if ITTref==1 & c_agemin>=6
	replace ITTref5=0 if c_agemin>=12 & c_agemin<=16
	
	gen treatment5=ITTref5*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
	
		

	global cov age age2 single2 immigrant adult_m_members adult_f_members young_members ///
			nenfanteq2 nenfanteq3p 

	foreach x in $cov $year_wave {
	
	   gen `x'_high_edu=`x'*high_edu
	   
	}
	
	global cov_high_edu_reg  age_high_edu age2_high_edu single2_high_edu immigrant_high_edu  ///
	adult_m_members_high_edu adult_f_members_high_edu young_members_high_edu nenfanteq2_high_edu ///
	nenfanteq3p_high_edu year_wave2_high_edu ///
	year_wave3_high_edu year_wave4_high_edu year_wave5_high_edu year_wave6_high_edu year_wave7_high_edu year_wave8_high_edu year_wave9_high_edu year_wave10_high_edu year_wave11_high_edu year_wave12_high_edu year_wave13_high_edu year_wave14_high_edu year_wave15_high_edu year_wave16_high_edu year_wave17_high_edu year_wave18_high_edu year_wave19_high_edu year_wave20_high_edu year_wave21_high_edu year_wave22_high_edu year_wave23_high_edu year_wave24_high_edu year_wave25_high_edu year_wave26_high_edu  year_wave27_high_edu year_wave28_high_edu ///
	year_wave29_high_edu year_wave30_high_edu year_wave31_high_edu year_wave32_high_edu
	
	gen no_high_edu=(high_edu==0)
	
	gen high_edu_T=high_edu*ITTref5
	gen high_edu_treatment5=high_edu*treatment5
	gen no_high_edu_T=no_high_edu*ITTref5
	gen no_high_edu_treatment5=no_high_edu*treatment5
		
	egen code_insee_id=group(code_insee)

	foreach s in high_edu {

	foreach v in jourtr tot_hours parttime wednesday saturday lreal_hourly_wage ///
	lreal_monthly_salary tr_real_bonus_value {

	eststo: reghdfe `v' no_`s'_treatment5 `s'_treatment5  `s'_T  no_`s'_T ///
		     $cov ${cov_`s'_reg} $year_wave if jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee_id code_insee_id#high_edu) vce(cluster code_insee)
	local N`v'=`e(N)'
	test no_`s'_treatment5-`s'_treatment5=0
	local p_value_`v'=r(p)
	parmest, level(90 95 97.5) label saving(${path}Reg`v'_`s'.dta, replace)
	su `v' if  ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0))& ///
	jourtr!=. & parttime!=. & tot_hours!=. & ITTref5==1 & `s'==0 & professeur==0
	local m`v'1=`r(mean)'
	su `v' if  ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0))& ///
	jourtr!=. & parttime!=. & tot_hours!=. & ITTref5==1 & `s'==1 & professeur==0
	local m`v'2=`r(mean)'

	} // outcomes
	
	
	preserve
	foreach v in tot_hours parttime wednesday saturday jourtr lreal_hourly_wage ///
	lreal_monthly_salary tr_real_bonus_value {
		use ${path}Reg`v'_`s'.dta, clear
		rename estimate `v'
		gen N`v'=`N`v''
		keep if parm=="no_`s'_treatment5" | parm=="`s'_treatment5" 
		gen Pretreat1=`m`v'1'
		gen Pretreat2=`m`v'2'
		gen p_value_diff=`p_value_`v''
		save ${path}Reg`v'_`s'.dta, replace
	} // outcomes
		
		use ${path}Regwednesday_`s'.dta, clear
		foreach v in saturday tot_hours parttime  jourtr lreal_hourly_wage ///
		lreal_monthly_salary tr_real_bonus_value {
		append using ${path}Reg`v'_`s'.dta
		}
		save "${path}Reg_`s'.dta", replace
		export excel using "${path}Reg_`s'_no_profs1216.xlsx", firstrow(variables) replace
		erase ${path}Reg_`s'.dta

	foreach v in tot_hours parttime wednesday saturday jourtr lreal_hourly_wage ///
	lreal_monthly_salary tr_real_bonus_value {
	erase ${path}Reg`v'_`s'.dta
	} // outcomes
	
	restore
	
	} // subgroup

	eststo clear
	
	foreach s in high_edu {

	foreach v in wednesday tot_hours parttime  lreal_monthly_salary lreal_hourly_wage  {

	** low edu **
	
	eststo: reghdfe `v' treatment5   ITTref5 ///
		     $cov $year_wave if jourtr!=. & parttime!=. & tot_hours!=. & professeur==0 & `s'==0, ///
			 absorb(code_insee_id) vce(cluster code_insee)
			 
	estadd scalar Observations=e(N_full)

	su `v' if  ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0))& ///
	jourtr!=. & parttime!=. & tot_hours!=. & ITTref5==1  & professeur==0 & `s'==0
	estadd scalar m0=r(mean)
	
	** high edu **
	
	eststo: reghdfe `v' treatment5  ITTref5 ///
		     $cov $year_wave if jourtr!=. & parttime!=. & tot_hours!=. & professeur==0 & `s'==1, ///
			 absorb(code_insee_id) vce(cluster code_insee)
			 
	estadd scalar Observations=e(N_full)
	
	
	su `v' if  ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0))& ///
	jourtr!=. & parttime!=. & tot_hours!=. & ITTref5==1  & professeur==0 & `s'==1
	estadd scalar m1=r(mean)

	** test equality coefficients ***


	eststo: reghdfe `v' no_`s'_treatment5 `s'_treatment5  `s'_T  no_`s'_T ///
		     $cov ${cov_`s'_reg} $year_wave if jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee_id code_insee_id#high_edu) vce(cluster code_insee)
			 
	estadd scalar Observations=e(N_full)
	
	test no_`s'_treatment5-`s'_treatment5=0
	estadd scalar p_valueDiff=r(p)
	
	su `v' if  ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0))& ///
	jourtr!=. & parttime!=. & tot_hours!=. & ITTref5==1  & professeur==0 & `s'==0
	estadd scalar m0=r(mean)
	
	su `v' if  ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0))& ///
	jourtr!=. & parttime!=. & tot_hours!=. & ITTref5==1  & professeur==0 & `s'==1
	estadd scalar m1=r(mean)

	} // outcomes
	
	esttab using ${path}\regs_women_heterogeneous_effects_by_`s'.tex, r2 se noobs ///
	scalars(Observations F m0 m1 p_valueDiff) ///
	keep(treatment5 no_`s'_treatment5 `s'_treatment5 ) ///
	replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
	title({\bf "Labor supply response to the reform by level of education"}) ///
	mtitles("Wednesday" "Wednesday" "Wednesday" "Hours worked per week" "Hours worked per week" "Hours worked per week" ///
	"Part-time" "Part-time" "Part-time" ///
	"Log monthly wage" "Log monthly wage" "Log monthly wage" "Log hourly wage" "Log hourly wage" "Log hourly wage")

	}
