		set more off, perm
	
	do "pgm\000_Globals.do"
	use ${pathprogLFS}\womenECtriplediff0917.dta, clear
		
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.
	drop if year==2017
	
		gen ITTref6_13=.
		replace ITTref6_13=1 if ITTref==1 & c_agemin>=6 
		replace ITTref6_13=0 if c_agemin>=12 & c_agemin<=13 
		gen treatment6_13=ITTref6_13*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))		
		la var ITTref6_13 "Ygst child btw 6-11"		
		la var treatment6_13 "Treatment vs 12-13"

		gen ITTref6_14=.
		replace ITTref6_14=1 if ITTref==1 & c_agemin>=6 
		replace ITTref6_14=0 if c_agemin>=12 & c_agemin<=14 
		gen treatment6_14=ITTref6_14*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))		
		la var ITTref6_14 "Ygst child btw 6-11"		
		la var treatment6_14 "Treatment vs 12-14"
		
		
		gen ITTref6_15=.
		replace ITTref6_15=1 if ITTref==1 & c_agemin>=6 
		replace ITTref6_15=0 if c_agemin>=12 & c_agemin<=15
		gen treatment6_15=ITTref6_15*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))		
		la var ITTref6_15 "Ygst child btw 6-11"		
		la var treatment6_15 "Treatment vs 12-15"
		
		gen ITTref6_16=.
		replace ITTref6_16=1 if ITTref==1 & c_agemin>=6 
		replace ITTref6_16=0 if c_agemin>=12 & c_agemin<=16
		gen treatment6_16=ITTref6_16*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))		
		la var ITTref6_16 "Ygst child btw 6-11"		
		la var treatment6_16 "Treatment vs 12-16"

		gen ITTref6_17=.
		replace ITTref6_17=1 if ITTref==1 & c_agemin>=6 
		replace ITTref6_17=0 if c_agemin>=12 & c_agemin<=17
		gen treatment6_17=ITTref6_17*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))		
		la var ITTref6_17 "Ygst child btw 6-11"		
		la var treatment6_17 "Treatment vs 12-17"
		
		global year_wave year_wave1 year_wave2 year_wave3 year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32 

	global cov age age2 single2 immigrant high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  
			
		global outcomes  tot_hours parttime jourtr  ///
	monday	tuesday wednesday thursday friday saturday sunday  lreal_monthly_salary lreal_hourly_wage 
		global age_control 6_13 6_14 6_15 6_16 6_17
		
		foreach x in $outcomes {

		eststo clear 

		foreach c in $age_control {
		
					   
		eststo: areg `x' treatment`c' ITTref`c' $cov $year_wave if  jourtr!=. & parttime!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)
			

		}
		
		esttab using ${path}\regs_changing_control_group_`x'_women.tex, ar2 se ///
		keep(treatment6_13 treatment6_14 treatment6_15 treatment6_16 treatment6_17) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "`x' - Changing the definition of the control group Women"}) ///

		
		}
		
		
		
	set more off, perm
	
	use ${pathprogLFS}\menECtriplediff0917.dta, clear
	drop if year==2017
	
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.
	
	
		gen ITTref6_13=.
		replace ITTref6_13=1 if ITTref==1 & c_agemin>=6 
		replace ITTref6_13=0 if c_agemin>=12 & c_agemin<=13 
		gen treatment6_13=ITTref6_13*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))		
		la var ITTref6_13 "Ygst child btw 6-11"		
		la var treatment6_13 "Treatment vs 12-13"

		gen ITTref6_14=.
		replace ITTref6_14=1 if ITTref==1 & c_agemin>=6 
		replace ITTref6_14=0 if c_agemin>=12 & c_agemin<=14 
		gen treatment6_14=ITTref6_14*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))		
		la var ITTref6_14 "Ygst child btw 6-11"		
		la var treatment6_14 "Treatment vs 12-14"
		
		
		gen ITTref6_15=.
		replace ITTref6_15=1 if ITTref==1 & c_agemin>=6 
		replace ITTref6_15=0 if c_agemin>=12 & c_agemin<=15
		gen treatment6_15=ITTref6_15*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))		
		la var ITTref6_15 "Ygst child btw 6-11"		
		la var treatment6_15 "Treatment vs 12-15"
		
		gen ITTref6_16=.
		replace ITTref6_16=1 if ITTref==1 & c_agemin>=6 
		replace ITTref6_16=0 if c_agemin>=12 & c_agemin<=16
		gen treatment6_16=ITTref6_16*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))		
		la var ITTref6_16 "Ygst child btw 6-11"		
		la var treatment6_16 "Treatment vs 12-16"

		gen ITTref6_17=.
		replace ITTref6_17=1 if ITTref==1 & c_agemin>=6 
		replace ITTref6_17=0 if c_agemin>=12 & c_agemin<=17
		gen treatment6_17=ITTref6_17*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))		
		la var ITTref6_17 "Ygst child btw 6-11"		
		la var treatment6_17 "Treatment vs 12-17"
		
		global year_wave year_wave1 year_wave2 year_wave3 year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32  

	global cov age age2 single2 immigrant high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  
			
		global outcomes  tot_hours parttime jourtr  ///
	monday	tuesday wednesday thursday friday saturday sunday  lreal_monthly_salary lreal_hourly_wage 
		global age_control 6_13 6_14 6_15 6_16 6_17
	foreach x in $outcomes {

		eststo clear 

		foreach c in $age_control {
		
					   
		eststo: areg `x' treatment`c' ITTref`c' $cov $year_wave if  jourtr!=. & parttime!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)
			

		}
		
		esttab using ${path}\regs_changing_control_group_`x'_men.tex, ar2 se ///
		keep(treatment6_13 treatment6_14 treatment6_15 treatment6_16 treatment6_17) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "`x' - Changing the definition of the control group Men"}) ///

		
		}
	   

		
