	set more off, perm
	
	do "pgm\000_Globals.do
	use ${pathprogLFS}\womenECtriplediff0917.dta, clear
	keep if year<2017
		
	global year_wave year_wave1 year_wave2 year_wave3 year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32 //year_wave33 year_wave34 year_wave35 year_wave36 
		
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.

	global outcomesofinterest  tot_hours parttime jourtr  ///
	monday	tuesday wednesday thursday friday saturday sunday  lreal_monthly_salary lreal_hourly_wage
	
	g active2=active
	replace active2=. if  professeur==1

	drop ITTref5
	drop treatment5
	
	gen ITTref5=.
	replace ITTref5=1 if ITTref==1 & c_agemin>=6
	replace ITTref5=0 if c_agemin>=12 & c_agemin<=16
	
	gen treatment5=ITTref5*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
	
	gen post=((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
	gen ref2013_post=ref2013*post
	gen ref2013_ITTref5=ref2013*ITTref5
	gen ITTref_post=ITTref5*post

	eststo clear
	
	gen l_tot_hours=log(tot_hours)
	
	*** Table ***
	
	eststo clear
	
	* 1. main spec *
	eststo: areg tot_hours treatment5 ITTref5  ///
		     age age2 single2 immigrant high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)

	su tot_hours if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) ///
		& ITTref5==1 & jourtr!=. & parttime!=. & professeur==0	 
		estadd 	scalar PreTreatmentMean= r(mean)
			 
	* 2. log hours *
	eststo: areg l_tot_hours treatment5 ITTref5  ///
		     age age2 single2 immigrant high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)

	su l_tot_hours if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) ///
		& ITTref5==1 & jourtr!=. & parttime!=. & professeur==0	 
		estadd 	scalar PreTreatmentMean= r(mean)

	* 3. main spec - salary sample *
	eststo: areg tot_hours treatment5 ITTref5  ///
		     age age2 single2 immigrant high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0 & lmonthly_salary!=., ///
			 absorb(code_insee) vce(cluster code_insee)

	su tot_hours if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) ///
		& ITTref5==1 & jourtr!=. & parttime!=. & professeur==0 & lmonthly_salary!=. 
		estadd 	scalar PreTreatmentMean= r(mean)
			 
	* 4. log hours - salary sample *
	eststo: areg l_tot_hours treatment5 ITTref5  ///
		     age age2 single2 immigrant high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0 & lmonthly_salary!=., ///
			 absorb(code_insee) vce(cluster code_insee)

	su tot_hours if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) ///
		& ITTref5==1 & jourtr!=. & parttime!=. & professeur==0 & lmonthly_salary!=. 
		estadd 	scalar PreTreatmentMean= r(mean)
				
	esttab using ${path}\regs_loghours_no_profs_w.tex, r2 se ///
		scalars(F PreTreatmentMean) ///
		keep(treatment5 ITTref5) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "Hours response to the reform"}) ///
		mtitles("Hours worked per week" "Log Hours worked per week" "Hours worked per week" "Log Hours worked per week")

