	set more off, perm
	global pathdofiles "C:\Users\Public\Documents\Dofiles"
	
	do ${pathdofiles}\000_Globals.do
	use ${pathprogLFS}\womenECtriplediff0917.dta, clear
	keep if year<2017
		
	global year_wave year_wave1 year_wave2 year_wave3 year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32 //year_wave33 year_wave34 year_wave35 year_wave36 
		
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.

	global outcomesofinterest  tot_hours parttime jourtr  ///
	monday	tuesday wednesday thursday friday saturday sunday  lreal_monthly_salary lreal_hourly_wage
	
	g active2=active
	replace active2=. if  professeur==1

	drop ITTref5
	drop treatment5
	
	gen ITTref5=.
	replace ITTref5=1 if ITTref==1 & c_agemin>=6
	replace ITTref5=0 if c_agemin>=12 & c_agemin<=16
	
	gen treatment5=ITTref5*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
	
	gen post=((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
	gen ref2013_post=ref2013*post
	gen ref2013_ITTref5=ref2013*ITTref5
	gen ITTref_post=ITTref5*post

	eststo clear
	
	eststo clear
					 
		eststo: areg active2 treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  , ///
			 absorb(code_insee) vce(cluster code_insee)
			 
		quietly su active2 if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ITTref5==1
		estadd scalar mean_active= r(mean)
	
		global outcomes parttime tot_hours jourtr
		
		foreach v in $outcomes {
		
		eststo: areg `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & lmonthly_salary!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & jourtr!=. & parttime!=. & lmonthly_salary!=. & tot_hours!=. & professeur==0	 	 
		estadd scalar mean_`v'= r(mean)
	 
		}
		
		
		esttab using ${path}\regs_main_table_no_profs_wagesnonmissing.tex, r2 se ///
		scalars(F mean_active mean_parttime mean_tot_hours mean_jourtr) ///
		keep(treatment5 ITTref5) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "Labor supply response to the reform"}) ///
		mtitles("Labor force participation" "Part-time" "Hours worked per week" "Days worked per week")

		*** Days of the week ***
		
		global eachday	monday	tuesday wednesday thursday friday saturday sunday
		
		eststo clear

		foreach v in $eachday {	 
		
		eststo: areg `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & lmonthly_salary!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1  & jourtr!=. & parttime!=. & lmonthly_salary!=. & tot_hours!=. & professeur==0 
		estadd 	scalar mean_`v'= r(mean)
		
		}
		
		esttab using ${path}\regs_each_day_no_profs_wagesnonmissing.tex, r2 se ///
		scalars(F mean_monday mean_tuesday mean_wednesday mean_thursday mean_friday mean_saturday mean_sunday) ///
		keep(treatment5 ITTref5) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "Dayly labor supply response to the reform"}) ///
		mtitles("Monday" "Tuesday" "Wednesday" "Thursday" "Friday" "Saturday" "Sunday")
	 
	   

		*** Salary ***
		
		
		eststo clear
		
		eststo: areg tot_hours treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & lmonthly_salary!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)
		
		su tot_hours if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) ///
		& ITTref5==1 & jourtr!=. & parttime!=. & lmonthly_salary!=. & tot_hours!=. & professeur==0 
		estadd 	scalar mean_tot_hours= r(mean)
				
				 
		eststo: areg lreal_monthly_salary treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)

		su real_monthly_salary if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) ///
		& ITTref5==1 & jourtr!=. & parttime!=. & professeur==0	 
		estadd 	scalar mean_monthly_salary= r(mean)
				
			 
		eststo: areg lreal_hourly_wage treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su real_hourly_wage if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) ///
		& ITTref5==1 & jourtr!=. & parttime!=.	 & tot_hours!=. & professeur==0
		estadd 	scalar mean_hourlywage= r(mean)
	
		esttab using ${path}\regs_salaires_no_profs_wagesnonmissing.tex, r2 se ///
		scalars(F mean_tot_hours mean_monthly_salary mean_hourlywage) ///
		keep(treatment5 ITTref5) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "Wage response to the reform wages non missing"}) ///
		mtitles("Hours worked per week" "Log net monthly wage" "Log net hourly wage")


   
