
	set more off, perm
	

	
	
	do "pgm/00_Globals.do"	
	
	clear
	
		
	
			foreach l in pollb polub  {
				global polcc_assumption `l'	
					foreach p in jo id {
						global taxrate_assumption `p'	
						foreach n in m9 m11 {
							global months `n'	
		
					do "pgm/06_MVPF_bootstrap.do"
		
		local m_mvpf`l'`p'`n'=r(mean)
		local sd_mvpf`l'`p'`n'=r(sd)
		di `m_mvpf`l'`p'`n''
					}
				}
			}
		
		
	clear
	set obs 13
	gen ide=_n
	
	
			local m=1
			foreach l in pollb polub {
			local r=1
				foreach p in jo id {
				local z=1
					foreach n in m9 m11 {
					gen m_mvpf`m'`r'`z'=.
					gen sd_mvpf`m'`r'`z'=.
					replace m_mvpf`m'`r'`z'= `m_mvpf`l'`p'`n'' 
					replace sd_mvpf`m'`r'`z'=`sd_mvpf`l'`p'`n''
					local z=`z'+1
					}
				local r=`r'+1
				}
				local m=`m'+1
				}
		
	
	
		
	reshape long m_mvpf sd_mvpf, i(ide) j(type)	
	
	tostring type, replace
	gen sub1=substr(type,1,1)
	gen sub2=substr(type,2,1)
	gen sub3=substr(type,3,1)
		
	
		

		local m=1
		foreach l in pollb polub {
			gen `l'=.
			replace `l'=1 if sub1=="`m'"
			local m=`m'+1		
			}
			
		local r=1
			foreach p in jo id {
				gen `p'=.
				replace `p'=1 if sub2=="`r'"
				local r=`r'+1		
				}		
			
		local z=1
			foreach n in m9 m11 {
				gen `n'=.
				replace `n'=1 if sub3=="`z'"
				local z=`z'+1		
				}		
			
	drop sub*
	
	
	
	
	global specif pollb polub jo m9 m11
	//id
	
		drop if id==1
 	
	gen min95=m_mvpf-1.96*sd_mvpf
	gen max95=m_mvpf+1.96*sd_mvpf
	

	
	* gen indicators and scatters
	local scoff=" "
	local scon=" "
	local ind=-2
	foreach var in $specif   {
		cap gen i_`var'=`ind'
		local ind=`ind'-1
		local scoff="`scoff' (scatter i_`var' rank,msize(small) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(large) msym(x) mcolor(black))" 
		}
		
	duplicates drop m_mvpf, force
	sort m_mvpf
	su m_mvpf if m_mvpf>2, d
	local min=round(`r(min)',.001)
	gen rank=_n

	tw (scatter m_mvpf rank , mcolor(black) msymbol(D) msize(vsmall)) ///  point estimates
	  (rcapsym min95 max95 rank, sym(i) fcolor(gs5) lcolor(gs5)) /// 95% CI
	`scoff' `scon' /// indicators for spec
   ,legend (off) xtitle(" ") ytitle("") yline(1, lcolor(red) lwidth(thin) )  yline(0, lcolor(gs3) lwidth(thin) lpattern(dash) )  ///
   xscale(noline) ylab(0[1]5, labsize(small) format(%1.0f) noticks nogrid angle(horizontal) ) xlab("", noticks)  ///
   graphregion (color(white)) text(1.5 3.9 "MVPF=1", color(red) size(small)) text(4 2.2 "Preferred", size(vsmall)) text(3.5 2.2 "estimate", size(vsmall)) text(3 2.2 "=`min'", size(vsmall)) ///     
   
   	global specif  pastlb pastub pastm pollb polub

	gr_edit .yaxis1.add_ticks -2 `"Cost Policy LB          "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -3 `"Cost Policy UB	    	"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -4 `"Joint Filling          "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -5 `"9 months  	"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -6 `"11 months   	 "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	
   	gr_edit .yaxis1.add_ticks 5 `"Estimated MVPF		"', custom tickset(major) editstyle(tickstyle(textstyle(size(small))) )

	graph save $pathgraph/Alternative_spe_mvpf.gph, replace
	graph export $pathgraph/Alternative_spe_mvpf.pdf, replace	
	erase $pathgraph/Alternative_spe_mvpf.gph
	
