*------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------%
*Program: 		master program
*first created: 02/04/2019
*last updated:  08/29/2020
*------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------%	

clear all
set more off
set matsize 10000
set maxvar 10000

*ACTION REQUIRED 	--> change path to your replication folder
global path 		"[.....]/Material_Replication"
cd $path



*ACTION REQUIRED 	--> install ado files
					*ssc install reghdfe
					*ssc install estout
					*ssc install spmap
					*ssc install shp2dta

					
**FOR A LIST OF ALL TABLES AND FIGURES PRODUCED BY EACH DO FILE>>>SEE "Material_Replication>List_Figures_Tables.xlsx"

*1. Build databases

** French LFS
** CLEAN DATA BASE
do "pgm/001_Clean_Duplicates12.do"
do "pgm/001_Clean_Duplicates13.do"
do "pgm/001_Clean_Duplicates15.do"
	
** RENAME, CREATE VARIABLES, AND APPEND DATA SETS
do "pgm/001_All_City_School.do"
do "pgm/002_Rename_Labels_Variables_all.do"
do "pgm/01_Merge_Waves_LFS.do"
do "pgm/01_Merge_Waves_LFS_men.do"
do "pgm/02_Data_set_Generate.do"
do "pgm/02_Data_set_Generate_men.do"

* TIME USE DATASETS
do "pgm/01_MTUS_Generate_variables_labels.do"
do "pgm/08_ATUS_Generate.do"

**************
** MAIN TEXT
**************

*2. Descriptive statistics
** Time Use Surveys
do "pgm/07_MTUS_ATUS.do"

** French LFS
do "pgm/02_Summary_Stats_by_AgeYoungestChild_no_profs_wm.do"
do "pgm/02_Summary_Stats_wage_by_edu_no_profs_wm.do"

*3. Graphical Analysis 
** French LFS
do "pgm/02_Event_studies_relative_to_year_implementation_men_women_togethercorrect.do"
do "pgm/01_Event_Study_by_year_normalized.do"


*4. Regression Analysis 
** French LFS
* Main Results
do "pgm/04_Regressions_1216.do"

* Robustness Checks
do "pgm/03_Regressions_main_results_changing preperiod_1216.do"
do "pgm/03_Regressions_main_results_noprof_few_fixed_effects_1216.do"
do "pgm/04_Regressions_changing_control_group_men.do"
do "02_Data_set_Generate_Results_2560.do"
do "pgm/04_Robustnesschecks-wagereported.do"
do "pgm/03_Regressions_byref2013_1216.do"
do "pgm/04_Regressions_TwayFE"

*5. Computation MVPF
*** [=> THE DO FILES BELOW CALLS "pgm/06_WTP.do"]
do "pgm/06_MVPF_bootstrap.do"


**************
** APPENDIX
**************

* Figures
do "pgm/05_Mode_de_garde.do"

do "pgm/02_Event_studies_relative_to_quarter_implementation_men_women_togethercorrect.do"
do "pgm/01_Event_Study_by_quarter_revised.do"

do "pgm/02_Graphs_All_outcomes_1216.do"
do "pgm/001b_Graph_Trend_noprof_1216.do"

do "pgm/01_Graph_Robustness_1216.do"

do "pgm/11_Factiva_echos.do"

do "pgm/01_Merge_Waves_LFS_displacement.do"
do "pgm/001b_Graph_Trend_displacement_year.do"
do "pgm/02_Graphs_All_outcomes_displacement_woman.do"

do "pgm/06_MVPF_bootstrap_alternative_revised.do"
do "pgm/06_MVPF_bootstrap_sensitivity.do"



* Tables
do "pgm/03_Regressions_byref2013_1216.do"
do "pgm/03_Regressions_job_mobility_men_women_together.do"
do "pgm/04_Regressions_loghours_no_profs"
do "pgm/03_Regressions_occupations_1216.do"
do "pgm/04_Regressions_by_high_edu_no_profs1216_reghdfe.do"
do "pgm/03_Regressions_by_marital_status_1216.do"
do "pgm/04_Regressions_tenure_no_profs1216_reghdfe.do"
do "pgm/03_Regressions_education_1216.do"
do "pgm/04_Regressions_fertility_no_profs1216_reghdfe.do"
do "pgm/04_Regressions_by_hightolow_no_profs1216_reghdfe.do"
*** [=> THE DO FILES BELOW CALL "pgm/fdr_adapte.do"]
do "pgm/03_Qvalues_2013_2014.do"
do "pgm/03_Qvalues_mechanisms.do"
do "pgm/03_Qvalues_subgroup.do"
do "pgm/03_Qvalues_hightolow.do"
do "pgm/03_Qvalues_single.do"
do "pgm/04_Regressions_TwayFE.do"
do "pgm/04_Joint_Taxation.do"
do "pgm/04_Regressions_1216_prof_wages.do"
